Loading...
Searching...
No Matches
apr_shm.h File Reference

APR Shared Memory Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_perms_set.h"`
Include dependency graph for apr_shm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_SHM_NS_LOCAL
#define | APR_SHM_NS_GLOBAL

## Typedefs

typedef struct apr_shm_t | apr_shm_t

## Functions

apr_status_t | apr_shm_create (apr_shm_t **m, apr_size_t reqsize, const char *filename, apr_pool_t *pool)
apr_status_t | apr_shm_create_ex (apr_shm_t **m, apr_size_t reqsize, const char *filename, apr_pool_t *pool, apr_int32_t flags)
apr_status_t | apr_shm_remove (const char *filename, apr_pool_t *pool)
apr_status_t | apr_shm_delete (apr_shm_t *m)
apr_status_t | apr_shm_destroy (apr_shm_t *m)
apr_status_t | apr_shm_attach (apr_shm_t **m, const char *filename, apr_pool_t *pool)
apr_status_t | apr_shm_attach_ex (apr_shm_t **m, const char *filename, apr_pool_t *pool, apr_int32_t flags)
apr_status_t | apr_shm_detach (apr_shm_t *m)
void * | apr_shm_baseaddr_get (const apr_shm_t *m)
apr_size_t | apr_shm_size_get (const apr_shm_t *m)
| APR_PERMS_SET_IMPLEMENT (shm)
apr_pool_t * | apr_shm_pool_get (const apr_shm_t *theshm)

## Detailed Description

APR Shared Memory Routines.